Imports System.Threading

''' <summary>
''' Helper Class to hold User State
''' </summary>
Public Class ClassUserState
    Public UserName As String
    Public MachineName As String
    Public Language As String
    Public IsAdmin As Boolean

    ''' <summary>
    ''' Initialize user object with values that can be read from the environment
    ''' </summary>
    Public Sub New()
        Language = Thread.CurrentThread.CurrentCulture.Name
        UserName = Environment.UserName
        MachineName = Environment.MachineName
    End Sub
End Class